other
Intelligent search suggestions to help users find what they’re looking for.
Authorization
Query Parameters
The user’s suggest search query term. Query can not be empty. The max query length is 400 characters, and the word limit is 50.
lang enum<string> The suggest search language preference, where potentially the results could come from. The 2 or more character language code for which the suggest search results are provided. This is a just a hint for calculating suggest responses.
Default:
"en"Available options:
areubn country enum<string> The suggest search query country, where potentially the results could come from. The country string is limited to 2 character country codes of supported countries. This is a just a hint for calculating suggest responses.
Default:
"US"Available options:
ARAUAT count integer The number of suggestion search results returned in response. The actual number of results delivered may be less than requested. Minimum is 1, maximum is 20. The default is 5.
Min:
1 Max: 20 Default: 5rich boolean Whether to enhance suggestions with rich results. This requires a paid autosuggest subscription.
Default:
falseHeaders
api-version string The API version to use. This is denoted by the format
YYYY-MM-DD. Default is the latest that is available. Read more about API versioning.accept enum<string> The default supported media type is application/json.
Default:
"application/json"Available options:
application/json*/* cache-control "no-cache" Brave Search will return cached content by default. To prevent caching set the Cache-Control header to
no-cache. This is currently done as best effort.user-agent string Mozilla/5.0 (Linux; Android 12) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/103.0.5060.71 Mobile Safari/537.36AndroidMozilla/5.0 (iPhone; CPU iPhone OS 15_5 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) CriOS/103.0.5060.63 Mobile/15E148 Safari/604.1iOSMozilla/5.0 (Macintosh; Intel Mac OS X 12_4) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/103.0.0.0 Safari/537.36macOSMozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/103.0.0.0 Safari/537.36Windows
The user agent originating the request. Brave search can utilize the user agent to provide a different experience depending on the device as described by the string. The user agent should follow the commonly used browser agent strings on each platform. For more information on curating user agents, see RFC 9110.
Responses
200 Successful Response
type "suggest" query object requiredSuggest search query string. Only the original query is returned.
results object[] The list of suggestions for the given query.